package org.gcube.dataanalysis.databases.access;

import java.util.List;

import org.gcube.dataanalysis.databases.resources.DBResource;

/** Class that allows to discover generic resources submitting a query to the IS. 
 *  It retrieves a list of DBResource objects. */
public abstract class ResourceDiscoverer {


	public abstract List<DBResource> discover();
}
